import matplotlib
matplotlib.use('Agg')
import pylab as plt
import numpy as np

from astrometry.util.fits import *
from astrometry.util.util import *
from astrometry.util.plotutils import *

ps = PlotSequence('4200')

for hp in range(48):
	T = fits_table('2mass-split/2mass-hp%02i.fits' % hp)
	print 'Healpix', hp, 'got', len(T)
	plt.clf()
	plothist(T.ra, T.dec, 360, range=((0,360),(-90,90)))
	vv = np.linspace(0, 1, 100)
	rd = []
	for v in vv:
		rd.append(healpix_to_radecdeg(hp, 2, 0., v))
	for v in vv:
		rd.append(healpix_to_radecdeg(hp, 2, v, 1.))
	for v in reversed(vv):
		rd.append(healpix_to_radecdeg(hp, 2, 1., v))
	for v in reversed(vv):
		rd.append(healpix_to_radecdeg(hp, 2, v, 0.))
	rd = np.array(rd)
	plt.plot(rd[:,0], rd[:,1], '-', color=(0,0.5,1.), lw=2)
	plt.axis([0, 360, -90, 90])
	ps.savefig()

for hp in range(12):
	T = fits_table('2mass-split-1/2mass-hp%02i.fits' % hp)
	print 'Healpix', hp, 'got', len(T)
	plt.clf()
	plothist(T.ra, T.dec, 360, range=((0,360),(-90,90)))
	vv = np.linspace(0, 1, 100)
	rd = []
	for v in vv:
		rd.append(healpix_to_radecdeg(hp, 1, 0., v))
	for v in vv:
		rd.append(healpix_to_radecdeg(hp, 1, v, 1.))
	for v in reversed(vv):
		rd.append(healpix_to_radecdeg(hp, 1, 1., v))
	for v in reversed(vv):
		rd.append(healpix_to_radecdeg(hp, 1, v, 0.))
	rd = np.array(rd)
	plt.plot(rd[:,0], rd[:,1], '-', color=(0,0.5,1.), lw=2)
	plt.axis([0, 360, -90, 90])
	ps.savefig()
	
